#
# Barpanel setup script
#
# Copyright (C) 2006, Federico Pelloni <federico.pelloni@gmail.com>
# Copyright (C) 2008 Job and Esther Technologies Ltd
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
from distutils.core import setup
import string
setup(
    name         = "barpanel",
    version      = "0.6.0",
    description  = "A powerful themable and extensible panel for your desktop",
    author       = "Job and Esther Technologies Ltd",
    author_email = "contact@jobandesther.com",
    url          = "http://www.ossproject.org/projects/barpanel",
    packages     = [
        'barpanel',
        'barpanel.plugins',
        'barpanel.plugins.musiccontrol'
        ],
    package_data = {'barpanel': ['config.xml.in', 'themes/*/*', 'images/*' ]},
    scripts      = ['scripts/barpanel', 'scripts/barpanel-about'],
    data_files   = [ ( "share/pixmaps", [ "barpanel.png" ] ) ]
    )
